(***********************************************************************)
(*                                                                     *)
(*                         Caml Special Light                          *)
(*                                                                     *)
(*            Xavier Leroy, projet Cristal, INRIA Rocquencourt         *)
(*                                                                     *)
(*  Copyright 1995 Institut National de Recherche en Informatique et   *)
(*  Automatique.  Distributed only by permission.                      *)
(*                                                                     *)
(***********************************************************************)

(* bytelink.mli,v 1.2 1995/08/09 15:00:30 xleroy Exp *)

(* Link .cmo files and produce a bytecode executable. *)

val link: string list -> unit

val check_consistency: string -> Emitcode.compilation_unit -> unit

type error =
    File_not_found of string
  | Not_an_object_file of string
  | Symbol_error of string * Symtable.error
  | Inconsistent_import of string * string * string
  | Custom_runtime

exception Error of error

val report_error: error -> unit
